Index: /LMDZ4/branches/LMDZ4-dev/libf/phylmd/phys_output_mod.F90
===================================================================
--- /LMDZ4/branches/LMDZ4-dev/libf/phylmd/phys_output_mod.F90	(revision 1082)
+++ /LMDZ4/branches/LMDZ4-dev/libf/phylmd/phys_output_mod.F90	(revision 1083)
@@ -627,152 +748,154 @@
    type_ecri(4) = 'inst(X)'
 
- CALL histdef2d(iff,flag_t_oce_sic,"t_oce_sic","Temp mixte oce-sic","K")
+ CALL histdef2d(iff,o_t_oce_sic%flag,o_t_oce_sic%name, "Temp mixte oce-sic", "K")
 
  IF (ocean=='slab') & 
-      CALL histdef2d(iff,flag_slab_bils, "slab_wbils_oce","Bilan au sol sur ocean slab", "W/m2")
+     CALL histdef2d(iff,o_slab_bils%flag, o_slab_bils%name,"Bilan au sol sur ocean slab", "W/m2")
 
  IF (iflag_con.GE.3) THEN
- CALL histdef2d(iff,flag_ale_bl,"ale_bl","ALE BL","m2/s2") 
- CALL histdef2d(iff,flag_alp_bl,"alp_bl","ALP BL","m2/s2") 
- CALL histdef2d(iff,flag_ale_wk,"ale_wk","ALE WK","m2/s2") 
- CALL histdef2d(iff,flag_alp_wk,"alp_wk","ALP WK","m2/s2") 
-
- CALL histdef2d(iff,flag_ale,"ale","ALE","m2/s2")
- CALL histdef2d(iff,flag_alp,"alp","ALP","W/m2")
- CALL histdef2d(iff,flag_cin,"cin","Convective INhibition","m2/s2")
- CALL histdef2d(iff,flag_wape,"WAPE","WAPE","m2/s2")
+ CALL histdef2d(iff,o_ale_bl%flag,o_ale_bl%name, "ALE BL", "m2/s2") 
+ CALL histdef2d(iff,o_alp_bl%flag,o_alp_bl%name, "ALP BL", "m2/s2") 
+ CALL histdef2d(iff,o_ale_wk%flag,o_ale_wk%name, "ALE WK", "m2/s2") 
+ CALL histdef2d(iff,o_alp_wk%flag,o_alp_wk%name, "ALP WK", "m2/s2") 
+
+ CALL histdef2d(iff,o_ale%flag,o_ale%name, "ALE", "m2/s2")
+ CALL histdef2d(iff,o_alp%flag,o_alp%name, "ALP", "W/m2")
+ CALL histdef2d(iff,o_cin%flag,o_cin%name, "Convective INhibition", "m2/s2")
+ CALL histdef2d(iff,o_wape%flag,o_WAPE%name, "WAPE", "m2/s2")
  ENDIF !(iflag_con.GE.3)
 
- CALL histdef2d(iff,flag_weakinv, "weakinv","Weak inversion", "-")
- CALL histdef2d(iff,flag_dthmin,"dthmin","dTheta mini", "K/m")
- CALL histdef2d(iff,flag_rh2m,"rh2m","Relative humidity at 2m", "%" )
- CALL histdef2d(iff,flag_qsat2m,"qsat2m","Saturant humidity at 2m", "%")
- CALL histdef2d(iff,flag_tpot,"tpot","Surface air potential temperature","K")
- CALL histdef2d(iff,flag_tpote,"tpote","Surface air equivalent potential temperature","K")
- CALL histdef2d(iff,flag_SWnetOR,"SWnetOR","Sfce net SW radiation OR", "W/m2")
- CALL histdef2d(iff,flag_SWdownOR,"SWdownOR","Sfce incident SW radiation OR","W/m2")
- CALL histdef2d(iff,flag_LWdownOR,"LWdownOR","Sfce incident LW radiation OR","W/m2")
- CALL histdef2d(iff,flag_snowl,"snowl","Solid Large-scale Precip.","kg/(m2*s)")
+ CALL histdef2d(iff,o_weakinv%flag,o_weakinv%name, "Weak inversion", "-")
+ CALL histdef2d(iff,o_dthmin%flag,o_dthmin%name, "dTheta mini", "K/m")
+ CALL histdef2d(iff,o_rh2m%flag,o_rh2m%name, "Relative humidity at 2m", "%" )
+ CALL histdef2d(iff,o_qsat2m%flag,o_qsat2m%name, "Saturant humidity at 2m", "%")
+ CALL histdef2d(iff,o_tpot%flag,o_tpot%name, "Surface air potential temperature", "K")
+ CALL histdef2d(iff,o_tpote%flag,o_tpote%name, "Surface air equivalent potential temperature", "K")
+ CALL histdef2d(iff,o_SWnetOR%flag,o_SWnetOR%name, "Sfce net SW radiation OR", "W/m2")
+ CALL histdef2d(iff,o_SWdownOR%flag,o_SWdownOR%name, "Sfce incident SW radiation OR", "W/m2")
+ CALL histdef2d(iff,o_LWdownOR%flag,o_LWdownOR%name, "Sfce incident LW radiation OR", "W/m2")
+ CALL histdef2d(iff,o_snowl%flag,o_snowl%name, "Solid Large-scale Precip.", "kg/(m2*s)")
  IF (iflag_con.GE.3) THEN
- CALL histdef2d(iff,flag_cape_max,"cape_max","CAPE max.", "J/kg")
+ CALL histdef2d(iff,o_cape_max%flag,o_cape_max%name, "CAPE max.", "J/kg")
  ENDIF !(iflag_con.GE.3) 
- CALL histdef2d(iff,flag_solldown,"solldown","Down. IR rad. at surface","W/m2")
- CALL histdef2d(iff,flag_dtsvdfo,"dtsvdfo","Boundary-layer dTs(o)","K/s")
- CALL histdef2d(iff,flag_dtsvdft,"dtsvdft","Boundary-layer dTs(t)","K/s")
- CALL histdef2d(iff,flag_dtsvdfg,"dtsvdfg","Boundary-layer dTs(g)","K/s")
- CALL histdef2d(iff,flag_dtsvdfi,"dtsvdfi","Boundary-layer dTs(g)","K/s")
- CALL histdef2d(iff,flag_rugs,"rugs","rugosity", "-" )
+ CALL histdef2d(iff,o_solldown%flag,o_solldown%name, "Down. IR rad. at surface", "W/m2")
+ CALL histdef2d(iff,o_dtsvdfo%flag,o_dtsvdfo%name, "Boundary-layer dTs(o)", "K/s")
+ CALL histdef2d(iff,o_dtsvdft%flag,o_dtsvdft%name, "Boundary-layer dTs(t)", "K/s")
+ CALL histdef2d(iff,o_dtsvdfg%flag,o_dtsvdfg%name, "Boundary-layer dTs(g)", "K/s")
+ CALL histdef2d(iff,o_dtsvdfi%flag,o_dtsvdfi%name, "Boundary-layer dTs(g)", "K/s")
+ CALL histdef2d(iff,o_rugs%flag,o_rugs%name, "rugosity", "-" )
 
 ! Champs 3D:
- CALL histdef3d(iff,flag_lwcon,"lwcon","Cloud liquid water content","kg/kg")
- CALL histdef3d(iff,flag_iwcon,"iwcon","Cloud ice water content","kg/kg")
- CALL histdef3d(iff,flag_temp,"temp","Air temperature","K" )
- CALL histdef3d(iff,flag_theta,"theta","Potential air temperature","K" )
- CALL histdef3d(iff,flag_ovap,"ovap","Specific humidity","kg/kg" )
- CALL histdef3d(iff,flag_geop,"geop","Geopotential height","m2/s2")
- CALL histdef3d(iff,flag_vitu,"vitu","Zonal wind", "m/s" )
- CALL histdef3d(iff,flag_vitv,"vitv","Meridional wind","m/s" )
- CALL histdef3d(iff,flag_vitw,"vitw","Vertical wind","Pa/s" )
- CALL histdef3d(iff,flag_pres,"pres","Air pressure", "Pa" )
- CALL histdef3d(iff,flag_rneb,"rneb","Cloud fraction","-")
- CALL histdef3d(iff,flag_rnebcon,"rnebcon","Convective Cloud Fraction","-")
- CALL histdef3d(iff,flag_rhum,"rhum","Relative humidity","-")
- CALL histdef3d(iff,flag_ozone,"ozone","Ozone concentration", "ppmv")
+ CALL histdef3d(iff,o_lwcon%flag,o_lwcon%name, "Cloud liquid water content", "kg/kg")
+ CALL histdef3d(iff,o_iwcon%flag,o_iwcon%name, "Cloud ice water content", "kg/kg")
+ CALL histdef3d(iff,o_temp%flag,o_temp%name, "Air temperature", "K" )
+ CALL histdef3d(iff,o_theta%flag,o_theta%name, "Potential air temperature", "K" )
+ CALL histdef3d(iff,o_ovap%flag,o_ovap%name, "Specific humidity", "kg/kg" )
+ CALL histdef3d(iff,o_geop%flag,o_geop%name, "Geopotential height", "m2/s2")
+ CALL histdef3d(iff,o_vitu%flag,o_vitu%name, "Zonal wind", "m/s" )
+ CALL histdef3d(iff,o_vitv%flag,o_vitv%name, "Meridional wind", "m/s" )
+ CALL histdef3d(iff,o_vitw%flag,o_vitw%name, "Vertical wind", "Pa/s" )
+ CALL histdef3d(iff,o_pres%flag,o_pres%name, "Air pressure", "Pa" )
+ CALL histdef3d(iff,o_rneb%flag,o_rneb%name, "Cloud fraction", "-")
+ CALL histdef3d(iff,o_rnebcon%flag,o_rnebcon%name, "Convective Cloud Fraction", "-")
+ CALL histdef3d(iff,o_rhum%flag,o_rhum%name, "Relative humidity", "-")
+ CALL histdef3d(iff,o_ozone%flag,o_ozone%name, "Ozone concentration", "ppmv")
  IF(iflag_con.GE.3) THEN
-  CALL histdef3d(iff,flag_upwd,"upwd","saturated updraft", "kg/m2/s")
+  CALL histdef3d(iff,o_upwd%flag,o_upwd%name, "saturated updraft", "kg/m2/s")
  ENDIF !iflag_con.GE.3
- CALL histdef3d(iff,flag_dtphy,"dtphy","Physics dT","K/s")
- CALL histdef3d(iff,flag_dqphy,"dqphy","Physics dQ", "(kg/kg)/s")
- CALL histdef3d(iff,flag_cldtau,"cldtau","Cloud optical thickness","1")
- CALL histdef3d(iff,flag_cldemi,"cldemi","Cloud optical emissivity","1")
+ CALL histdef3d(iff,o_dtphy%flag,o_dtphy%name, "Physics dT", "K/s")
+ CALL histdef3d(iff,o_dqphy%flag,o_dqphy%name, "Physics dQ", "(kg/kg)/s")
+ CALL histdef3d(iff,o_cldtau%flag,o_cldtau%name, "Cloud optical thickness", "1")
+ CALL histdef3d(iff,o_cldemi%flag,o_cldemi%name, "Cloud optical emissivity", "1")
 !IM: bug ?? dimensionnement variables (klon,klev+1) pmflxr, pmflxs, prfl, psfl
-! CALL histdef3d(iff,flag_pr_con_l,"pmflxr","Convective precipitation lic"," ")
-! CALL histdef3d(iff,flag_pr_con_i,"pmflxs","Convective precipitation ice"," ")
-! CALL histdef3d(iff,flag_pr_lsc_l,"prfl","Large scale precipitation lic"," ")
-! CALL histdef3d(iff,flag_pr_lsc_i,"psfl","Large scale precipitation ice"," ")
+! CALL histdef3d(iff,o_pr_con_l%flag,o_pmflxr%name, "Convective precipitation lic", " ")
+! CALL histdef3d(iff,o_pr_con_i%flag,o_pmflxs%name, "Convective precipitation ice", " ")
+! CALL histdef3d(iff,o_pr_lsc_l%flag,o_prfl%name, "Large scale precipitation lic", " ")
+! CALL histdef3d(iff,o_pr_lsc_i%flag,o_psfl%name, "Large scale precipitation ice", " ")
 
 !FH Sorties pour la couche limite
      if (iflag_pbl>1) then
- CALL histdef3d(iff,flag_tke,"tke","TKE","m2/s2")
- CALL histdef3d(iff,flag_tke_max,"tke_max","TKE max","m2/s2")
+ CALL histdef3d(iff,o_tke%flag,o_tke%name, "TKE", "m2/s2")
+ CALL histdef3d(iff,o_tke_max%flag,o_tke_max%name, "TKE max", "m2/s2")
      endif
 
- CALL histdef3d(iff,flag_kz,"kz","Kz melange","m2/s")
- CALL histdef3d(iff,flag_kz_max,"kz_max","Kz melange max","m2/s" )
- CALL histdef3d(iff,flag_clwcon,"clwcon","Convective Cloud Liquid water content", "kg/kg") 
+ CALL histdef3d(iff,o_kz%flag,o_kz%name, "Kz melange", "m2/s")
+ CALL histdef3d(iff,o_kz_max%flag,o_kz_max%name, "Kz melange max", "m2/s" )
+ CALL histdef3d(iff,o_clwcon%flag,o_clwcon%name, "Convective Cloud Liquid water content", "kg/kg") 
  IF(iflag_con.GE.3) THEN
- CALL histdef3d(iff,flag_Ma,"Ma","undilute adiab updraft","kg/m2/s")
- CALL histdef3d(iff,flag_dnwd,"dnwd","saturated downdraft","kg/m2/s")
- CALL histdef3d(iff,flag_dnwd0,"dnwd0","unsat. downdraft", "kg/m2/s")
+ CALL histdef3d(iff,o_Ma%flag,o_Ma%name, "undilute adiab updraft", "kg/m2/s")
+ CALL histdef3d(iff,o_dnwd%flag,o_dnwd%name, "saturated downdraft", "kg/m2/s")
+ CALL histdef3d(iff,o_dnwd0%flag,o_dnwd0%name, "unsat. downdraft", "kg/m2/s")
  ENDIF !(iflag_con.GE.3) 
- CALL histdef3d(iff,flag_dtdyn,"dtdyn","Dynamics dT","K/s")
- CALL histdef3d(iff,flag_dqdyn,"dqdyn","Dynamics dQ", "(kg/kg)/s")
- CALL histdef3d(iff,flag_dudyn,"dudyn","Dynamics dU","m/s2")
- CALL histdef3d(iff,flag_dvdyn,"dvdyn","Dynamics dV","m/s2")
- CALL histdef3d(iff,flag_dtcon,"dtcon","Convection dT","K/s")
- CALL histdef3d(iff,flag_ducon,"ducon","Convection du","m/s2")
- CALL histdef3d(iff,flag_dqcon,"dqcon","Convection dQ", "(kg/kg)/s")
- IF(iflag_con.GE.3) THEN
+ CALL histdef3d(iff,o_dtdyn%flag,o_dtdyn%name, "Dynamics dT", "K/s")
+ CALL histdef3d(iff,o_dqdyn%flag,o_dqdyn%name, "Dynamics dQ", "(kg/kg)/s")
+ CALL histdef3d(iff,o_dudyn%flag,o_dudyn%name, "Dynamics dU", "m/s2")
+ CALL histdef3d(iff,o_dvdyn%flag,o_dvdyn%name, "Dynamics dV", "m/s2")
+ CALL histdef3d(iff,o_dtcon%flag,o_dtcon%name, "Convection dT", "K/s")
+ CALL histdef3d(iff,o_ducon%flag,o_ducon%name, "Convection du", "m/s2")
+ CALL histdef3d(iff,o_dqcon%flag,o_dqcon%name, "Convection dQ", "(kg/kg)/s")
+ IF(iflag_con.EQ.3) THEN
  IF (iflag_wake == 1) THEN
-   CALL histdef2d(iff,flag_wake_h,"wake_h","wake_h", "-")
-   CALL histdef2d(iff,flag_wake_s,"wake_s","wake_s", "-")
-   CALL histdef3d(iff,flag_dtwak,"dtwak","Wake dT","K/s")
-   CALL histdef3d(iff,flag_dqwak,"dqwak","Wake dQ","(kg/kg)/s")
-   CALL histdef3d(iff,flag_wake_deltat,"wake_deltat","wake_deltat", " ")
-   CALL histdef3d(iff,flag_wake_deltaq,"wake_deltaq","wake_deltaq", " ")
-   CALL histdef3d(iff,flag_wake_omg,"wake_omg","wake_omg", " ")
+   CALL histdef2d(iff,o_wake_h%flag,o_wake_h%name, "wake_h", "-")
+   CALL histdef2d(iff,o_wake_s%flag,o_wake_s%name, "wake_s", "-")
+   CALL histdef3d(iff,o_dtwak%flag,o_dtwak%name, "Wake dT", "K/s")
+   CALL histdef3d(iff,o_dqwak%flag,o_dqwak%name, "Wake dQ", "(kg/kg)/s")
+   CALL histdef3d(iff,o_wake_deltat%flag,o_wake_deltat%name, "wake_deltat", " ")
+   CALL histdef3d(iff,o_wake_deltaq%flag,o_wake_deltaq%name, "wake_deltaq", " ")
+   CALL histdef3d(iff,o_wake_omg%flag,o_wake_omg%name, "wake_omg", " ")
  ENDIF
-   CALL histdef3d(iff,flag_Vprecip,"Vprecip","precipitation vertical profile","-")
-   CALL histdef3d(iff,flag_ftd,"ftd","tend temp due aux descentes precip","-")
-   CALL histdef3d(iff,flag_fqd,"fqd","tend vap eau due aux descentes precip","-")
- ENDIF !(iflag_con.GE.3)
-
- CALL histdef3d(iff,flag_dtlsc,"dtlsc","Condensation dT", "K/s")
- CALL histdef3d(iff,flag_dtlschr,"dtlschr","Large-scale condensational heating rate","K/s")
- CALL histdef3d(iff,flag_dqlsc,"dqlsc","Condensation dQ","(kg/kg)/s")
- CALL histdef3d(iff,flag_dtvdf,"dtvdf","Boundary-layer dT", "K/s")
- CALL histdef3d(iff,flag_dqvdf,"dqvdf","Boundary-layer dQ","(kg/kg)/s") 
- CALL histdef3d(iff,flag_dteva,"dteva","Reevaporation dT", "K/s")
- CALL histdef3d(iff,flag_dqeva,"dqeva","Reevaporation dQ","(kg/kg)/s")
- CALL histdef3d(iff,flag_ptconv,"ptconv","POINTS CONVECTIFS"," ")
- CALL histdef3d(iff,flag_ratqs,"ratqs", "RATQS"," ")
- CALL histdef3d(iff,flag_dtthe,"dtthe","Dry adjust. dT", "K/s")
+   CALL histdef3d(iff,o_Vprecip%flag,o_Vprecip%name, "precipitation vertical profile", "-")
+   CALL histdef3d(iff,o_ftd%flag,o_ftd%name, "tend temp due aux descentes precip", "-")
+   CALL histdef3d(iff,o_fqd%flag,o_fqd%name,"tend vap eau due aux descentes precip", "-")
+ ENDIF !(iflag_con.EQ.3)
+
+ CALL histdef3d(iff,o_dtlsc%flag,o_dtlsc%name, "Condensation dT", "K/s")
+ CALL histdef3d(iff,o_dtlschr%flag,o_dtlschr%name,"Large-scale condensational heating rate","K/s")
+ CALL histdef3d(iff,o_dqlsc%flag,o_dqlsc%name, "Condensation dQ", "(kg/kg)/s")
+ CALL histdef3d(iff,o_dtvdf%flag,o_dtvdf%name, "Boundary-layer dT", "K/s")
+ CALL histdef3d(iff,o_dqvdf%flag,o_dqvdf%name, "Boundary-layer dQ", "(kg/kg)/s") 
+ CALL histdef3d(iff,o_dteva%flag,o_dteva%name, "Reevaporation dT", "K/s")
+ CALL histdef3d(iff,o_dqeva%flag,o_dqeva%name, "Reevaporation dQ", "(kg/kg)/s")
+ CALL histdef3d(iff,o_ptconv%flag,o_ptconv%name, "POINTS CONVECTIFS", " ")
+ CALL histdef3d(iff,o_ratqs%flag,o_ratqs%name, "RATQS", " ")
+ CALL histdef3d(iff,o_dtthe%flag,o_dtthe%name, "Dry adjust. dT", "K/s")
 
 if(iflag_thermals.gt.1) THEN
- CALL histdef3d(iff,flag_f_th,"f_th","Thermal plume mass flux", "K/s")
- CALL histdef3d(iff,flag_e_th,"e_th","Thermal plume entrainment", "K/s")
- CALL histdef3d(iff,flag_w_th,"w_th","Thermal plume vertical velocity", "m/s")
- CALL histdef3d(iff,flag_lambda_th,"lambda_th","Thermal plume vertical velocity", "m/s")
- CALL histdef3d(iff,flag_q_th,"q_th","Thermal plume total humidity", "kg/kg")
- CALL histdef3d(iff,flag_a_th,"a_th","Thermal plume fraction", "")
- CALL histdef3d(iff,flag_d_th,"d_th","Thermal plume detrainment", "K/s")
+ CALL histdef3d(iff,o_f_th%flag,o_f_th%name, "Thermal plume mass flux", "K/s")
+ CALL histdef3d(iff,o_e_th%flag,o_e_th%name,"Thermal plume entrainment","K/s")
+ CALL histdef3d(iff,o_w_th%flag,o_w_th%name,"Thermal plume vertical velocity","m/s")
+ CALL histdef3d(iff,o_lambda_th%flag,o_lambda_th%name,"Thermal plume vertical velocity","m/s")
+ CALL histdef3d(iff,o_q_th%flag,o_q_th%name, "Thermal plume total humidity", "kg/kg")
+ CALL histdef3d(iff,o_a_th%flag,o_a_th%name, "Thermal plume fraction", "")
+ CALL histdef3d(iff,o_d_th%flag,o_d_th%name, "Thermal plume detrainment", "K/s")
 endif !iflag_thermals.gt.1
- CALL histdef2d(iff,flag_f0_th,"f0_th","Thermal closure mass flux", "K/s")
- CALL histdef2d(iff,flag_zmax_th,"zmax_th","Thermal plume height", "K/s")
- CALL histdef3d(iff,flag_dqthe,"dqthe","Dry adjust. dQ","(kg/kg)/s")
- CALL histdef3d(iff,flag_dtajs,"dtajs","Dry adjust. dT", "K/s")
- CALL histdef3d(iff,flag_dqajs,"dqajs","Dry adjust. dQ","(kg/kg)/s")
- CALL histdef3d(iff,flag_dtswr,"dtswr","SW radiation dT","K/s")
- CALL histdef3d(iff,flag_dtsw0,"dtsw0","CS SW radiation dT","K/s")
- CALL histdef3d(iff,flag_dtlwr,"dtlwr","LW radiation dT","K/s")
- CALL histdef3d(iff,flag_dtlw0,"dtlw0", "CS LW radiation dT","K/s")
- CALL histdef3d(iff,flag_dtec,"dtec","Cinetic dissip dT","K/s")
- CALL histdef3d(iff,flag_duvdf,"duvdf","Boundary-layer dU","m/s2")
- CALL histdef3d(iff,flag_dvvdf,"dvvdf","Boundary-layer dV", "m/s2")
+ CALL histdef2d(iff,o_f0_th%flag,o_f0_th%name, "Thermal closure mass flux", "K/s")
+ CALL histdef2d(iff,o_zmax_th%flag,o_zmax_th%name, "Thermal plume height", "K/s")
+ CALL histdef3d(iff,o_dqthe%flag,o_dqthe%name, "Dry adjust. dQ", "(kg/kg)/s")
+ CALL histdef3d(iff,o_dtajs%flag,o_dtajs%name, "Dry adjust. dT", "K/s")
+ CALL histdef3d(iff,o_dqajs%flag,o_dqajs%name, "Dry adjust. dQ", "(kg/kg)/s")
+ CALL histdef3d(iff,o_dtswr%flag,o_dtswr%name, "SW radiation dT", "K/s")
+ CALL histdef3d(iff,o_dtsw0%flag,o_dtsw0%name, "CS SW radiation dT", "K/s")
+ CALL histdef3d(iff,o_dtlwr%flag,o_dtlwr%name, "LW radiation dT", "K/s")
+ CALL histdef3d(iff,o_dtlw0%flag,o_dtlw0%name, "CS LW radiation dT", "K/s")
+ CALL histdef3d(iff,o_dtec%flag,o_dtec%name, "Cinetic dissip dT", "K/s")
+ CALL histdef3d(iff,o_duvdf%flag,o_duvdf%name, "Boundary-layer dU", "m/s2")
+ CALL histdef3d(iff,o_dvvdf%flag,o_dvvdf%name, "Boundary-layer dV", "m/s2")
 
      IF (ok_orodr) THEN
- CALL histdef3d(iff,flag_duoro,"duoro","Orography dU","m/s2")
- CALL histdef3d(iff,flag_dvoro,"dvoro","Orography dV", "m/s2")
+ CALL histdef3d(iff,o_duoro%flag,o_duoro%name, "Orography dU", "m/s2")
+ CALL histdef3d(iff,o_dvoro%flag,o_dvoro%name, "Orography dV", "m/s2")
      ENDIF
 
      IF (ok_orolf) THEN
- CALL histdef3d(iff,flag_dulif,"dulif","Orography dU","m/s2")
- CALL histdef3d(iff,flag_dvlif,"dvlif","Orography dV", "m/s2")
+ CALL histdef3d(iff,o_dulif%flag,o_dulif%name, "Orography dU", "m/s2")
+ CALL histdef3d(iff,o_dvlif%flag,o_dvlif%name, "Orography dV", "m/s2")
      ENDIF
 
       if (nqmax>=3) THEN
-    DO iq=3,nqmax
+!Attention    DO iq=3,nqmax
+    DO iq=3,4  
        iiq=niadv(iq)
- CALL histdef3d ( iff, flag_trac, tnom(iq),ttext(iiq), "-" )
+! CALL histdef3d (iff, o_trac%flag,'o_'//tnom(iq)%name,ttext(iiq), "-" )
+  CALL histdef3d (iff, o_trac(iq-2)%flag,o_trac(iq-2)%name,ttext(iiq), "-" )
     ENDDO
       endif
@@ -804,7 +927,11 @@
        integer                          :: iff
        integer, dimension(nfiles)       :: flag_var
-       character(len=*)                 :: nomvar
+       character(len=20)                 :: nomvar
        character(len=*)                 :: titrevar
        character(len=*)                 :: unitvar
+
+       if (iff.eq.1) then
+   call conf_physoutputs(nomvar,flag_var)
+       endif
        
        if ( flag_var(iff)<=lev_files(iff) ) then
@@ -831,7 +958,11 @@
        integer                          :: iff
        integer, dimension(nfiles)       :: flag_var
-       character(len=*)                 :: nomvar
+       character(len=20)                 :: nomvar
        character(len=*)                 :: titrevar
        character(len=*)                 :: unitvar
+
+       if (iff.eq.1) then
+   call conf_physoutputs(nomvar,flag_var)
+       endif
 
        if ( flag_var(iff)<=lev_files(iff) ) then
@@ -843,4 +974,26 @@
       end subroutine histdef3d
 
+      SUBROUTINE conf_physoutputs(nam_var,flag_var)
+       use ioipsl
+
+       IMPLICIT NONE
+
+       character(len=20)                :: nam_var
+       integer, dimension(nfiles)      :: flag_var
+       integer, dimension(nfiles),save :: flag_var_omp
+       character(len=20),save           :: nam_var_omp
+
+        flag_var_omp = flag_var
+        nam_var_omp = nam_var
+        print*,'Avant getin: nam_var flag_var ',nam_var,flag_var(:)
+        call getin('flag_'//nam_var,flag_var_omp)
+        flag_var = flag_var_omp
+        call getin('name_'//nam_var,nam_var_omp)
+        nam_var=nam_var_omp
+        
+        print*,'Apres getin: nam_var flag_var ',nam_var,flag_var(:)
+
+      END SUBROUTINE conf_physoutputs
+
 END MODULE phys_output_mod
 
